---
name: Pull request
about: Create a pull request for merge

---

## What does this PR do?
E.g. Describe the added feature or what issue it fixes #(issue)...

## Checklist
  - [ ] Did you adhere to [PEP-8](https://www.python.org/dev/peps/pep-0008/) standards?
  - [ ] Did you run black and isort prior to submitting your PR? 
  - [ ] Does your PR pass all existing unit tests?
  - [ ] Did you add associated unit tests for any additional functionality?
  - [ ] Did you provide documentation ([Numpy Docstring format](https://numpydoc.readthedocs.io/en/latest/format.html#style-guide)) whenever possible, even for simple functions or classes?

## Review
Request will go to approved reviewers to approve for merge.